CREATE OR ALTER procedure ADD_XML_TAB (
    V_IDREP integer,
    V_SMO char(5),
    V_LPU char(6),
    V_SCHET char(15),
    V_NFILE char(50),
    V_BEG date,
    V_END date,
    V_YEAR integer,
    V_MONTH integer,
    v_ONKO integer)
as
BEGIN
    IF (EXISTS ( SELECT f.id_rep, f.smo_mcod, f.onko  FROM xml_table f WHERE f.id_rep = :v_idrep and f.smo_mcod = :v_smo)) THEN
    update xml_table f
    set  f.id_rep = :v_idrep,
    f.smo_mcod = :v_smo,
    f.lpu_mcod = :v_lpu,
    f.n_sch = :v_schet,
    f.n_file = :v_nfile,
    f.d_beg = :v_beg,
    f.d_end = :v_end,
    f.god = :v_year,
    f.mes = :v_month,
    f.onko = :v_onko
    where f.id_rep = :v_idrep and f.smo_mcod = :v_smo;
    else
    begin
    INSERT INTO xml_table (id_rep,
                        smo_mcod ,
                        lpu_mcod ,
                        n_sch ,
                        n_file,
                        d_beg,
                        d_end,
                        god,
                        mes,
                        onko)
        VALUES(  :v_idrep,
            :v_smo,
            :v_lpu,
            :v_schet,
            :v_nfile,
            :v_beg,
            :v_end,
            :v_year,
            :v_month,
            :v_onko);
    end
end
